> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.twelvelabs.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.twelvelabs.io/_mcp/server.

# List async embedding tasks

GET https://api.twelvelabs.io/v1.3/embed-v2/tasks

This method returns a list of the async embedding tasks in your account. The platform returns your async embedding tasks sorted by creation date, with the newest at the top of the list.

* Embeddings are stored for seven days.
* When you invoke this method without specifying the `started_at` and `ended_at` parameters, the platform returns all the async embedding tasks created within the last seven days.

Reference: https://docs.twelvelabs.io/api-reference/create-embeddings-v2/list-async-embedding-tasks

## Authentication

- `x-api-key` header (required) — Your API key. You can find your API key on the API Keys page.

## Request

### Query parameters

- `started_at` (string, optional) — Retrieve the embedding tasks that were created after the given date and time, expressed in the RFC 3339 format ("YYYY-MM-DDTHH:mm:ssZ").
- `ended_at` (string, optional) — Retrieve the embedding tasks that were created before the given date and time, expressed in the RFC 3339 format ("YYYY-MM-DDTHH:mm:ssZ").
- `status` (string, optional) — Filter the embedding tasks by their current status. **Values**: `processing`, `ready`, or `failed`.
- `page` (integer, optional, default: 1) — A number that identifies the page to retrieve. **Default**: `1`.
- `page_limit` (integer, optional, default: 10) — The number of items to return on each page. **Default**: `10`. **Max**: `50`.

## Response

### 200

A list of async embedding tasks has successfully been retrieved.

- `data` (list of MediaEmbeddingTask, optional) — An array that contains up to `page_limit` embedding tasks.
- `page_info` (EmbedV2TasksGetResponsesContentApplicationJsonSchemaPageInfo, optional) — An object that provides information about pagination.

## Errors

### 400 Bad Request Error

The request has failed.

- `code` (string, optional) — A string representing the code associated with the error. See the [Error codes](/v1.3/api-reference/error-codes) page for details.
- `message` (string, optional) — A human-readable string describing the error, intended to be suitable for display in a user interface.

## Types

### MediaEmbeddingTask

An embedding task that describes the status of the task and the metadata about the media.

- `_id` (string, optional) — The unique identifier of the embedding task.
- `model_name` (string, optional) — The name of the video understanding model the platform used to create the embedding.
- `status` (string, optional) — A string indicating the status of the embedding task. It can take one of the following values: `processing`, `ready` or `failed`.
- `created_at` (string, optional) — A string representing the date and time, in RFC 3339 format (“YYYY-MM-DDTHH:mm:ssZ”), when the resource was created.
- `updated_at` (string, optional) — A string representing the date and time, in RFC 3339 format (“YYYY-MM-DDTHH:mm:ssZ”), when the resource was last updated.
- `video_embedding` (MediaEmbeddingTaskVideoEmbedding, optional) — An object containing the metadata associated with the embedding.
- `audio_embedding` (MediaEmbeddingTaskAudioEmbedding, optional) — An object containing the metadata associated with the embedding.
- `document_embedding` (MediaEmbeddingTaskDocumentEmbedding, optional) — An object containing the metadata associated with the embedding. Present only for `document` tasks created with Marengo 3.5.
- `image_embedding` (MediaEmbeddingTaskImageEmbedding, optional) — An object containing the metadata associated with the embedding. Present only for `image` tasks created with Marengo 3.5.

### EmbedV2TasksGetResponsesContentApplicationJsonSchemaPageInfo

An object that provides information about pagination.

- `limit_per_page` (integer, optional) — The maximum number of items on each page.
- `page` (integer, optional) — The page you retrieved.
- `total_page` (integer, optional) — The total number of pages.
- `total_results` (integer, optional) — The total number of results.

### MediaEmbeddingTaskVideoEmbedding

An object containing the metadata associated with the embedding.

- `metadata` (VideoEmbeddingMetadata, optional) — An object containing metadata associated with the embedding.

### MediaEmbeddingTaskAudioEmbedding

An object containing the metadata associated with the embedding.

- `metadata` (AudioEmbeddingMetadata, optional) — An object containing metadata associated with the embedding.

### MediaEmbeddingTaskDocumentEmbedding

An object containing the metadata associated with the embedding. Present only for `document` tasks created with Marengo 3.5.

- `metadata` (DocumentEmbeddingMetadata, optional) — An object containing metadata associated with the embedding. Only Marengo 3.5 returns this object.

### MediaEmbeddingTaskImageEmbedding

An object containing the metadata associated with the embedding. Present only for `image` tasks created with Marengo 3.5.

- `metadata` (ImageEmbeddingMetadata, optional) — An object containing metadata associated with the embedding. Only Marengo 3.5 returns this object.

### VideoEmbeddingMetadata

An object containing metadata associated with the embedding.

- `input_url` (string, optional) — The URL of the media file used to generate the embedding. Present if a URL was provided in the request.
- `input_filename` (string, optional) — The name of the media file used to generate the embedding. Present if a file was provided in the request.
- `video_clip_length` (double, optional) — The duration for each clip in seconds, as specified in the request. Note that the platform automatically truncates video segments shorter than 2 seconds. For a 31-second video divided into 6-second segments, the final 1-second segment will be truncated. This truncation only applies to the last segment if it does not meet the minimum length requirement of 2 seconds.
- `video_embedding_scope` (list of string, optional) — The scope you've specified in the request.
- `video_embedding_option` (list of string, optional) — The `embedding_option` values used to generate the embedding.
- `duration` (double, optional) — The total duration of the video in seconds.

### AudioEmbeddingMetadata

An object containing metadata associated with the embedding.

- `input_url` (string, optional) — The URL of the media file used to generate the embedding. Present if a URL was provided in the request.
- `input_filename` (string, optional) — The name of the media file used to generate the embedding. Present if a file was provided in the request.
- `audio_embedding_option` (list of string, optional) — The type of the embedding. It can take one of the following values: ['audio'] or ['transcription'].
- `audio_embedding_scope` (list of string, optional) — The scope you've specified in the request.
- `duration` (double, optional) — The total duration of the audio in seconds.
- `start_offset_sec` (double, optional) — The start offset in seconds from the beginning of the audio where processing should begin.
- `end_offset_sec` (double, optional) — The end offset in seconds from the beginning of the audio where processing should end.

### DocumentEmbeddingMetadata

An object containing metadata associated with the embedding. Only Marengo 3.5 returns this object.

- `input_url` (string, optional) — The URL of the media file used to generate the embedding. Present if a URL was provided in the request.
- `input_filename` (string, optional) — The name of the media file used to generate the embedding. Present if a file was provided in the request.
- `document_embedding_option` (list of string, optional) — The `embedding_option` values used to generate the embedding.
- `document_embedding_scope` (list of string, optional) — The `embedding_scope` values used to generate the embedding.

### ImageEmbeddingMetadata

An object containing metadata associated with the embedding. Only Marengo 3.5 returns this object.

- `input_url` (string, optional) — The URL of the media file used to generate the embedding. Present if a URL was provided in the request.
- `input_filename` (string, optional) — The name of the media file used to generate the embedding. Present if a file was provided in the request.
- `image_embedding_option` (list of string, optional) — The `embedding_option` values used to generate the embedding. Always `["visual"]`.
- `image_embedding_scope` (list of string, optional) — The `embedding_scope` values used to generate the embedding. Always `["asset"]`.

## Examples

**Response**

```json
{
  "data": [
    {
      "_id": "66f537778d9641fe5a0d101f",
      "model_name": "marengo3.0",
      "status": "processing",
      "created_at": "2024-09-26T10:29:19.968Z",
      "video_embedding": {
        "metadata": {
          "input_filename": "01.mp4",
          "video_clip_length": 6,
          "video_embedding_scope": [
            "clip"
          ],
          "duration": 13.4400001
        }
      }
    },
    {
      "_id": "66f535874bd2802fc13293f4",
      "model_name": "marengo3.0",
      "status": "processing",
      "created_at": "2024-09-26T10:21:04.157Z",
      "video_embedding": {
        "metadata": {
          "input_filename": "01.mp4",
          "video_clip_length": 6,
          "video_embedding_scope": [
            "clip"
          ],
          "duration": 13.4400001
        }
      }
    },
    {
      "_id": "66f534fd4bd2802fc13293ee",
      "model_name": "marengo3.0",
      "status": "processing",
      "created_at": "2024-09-26T10:18:44.866Z",
      "video_embedding": {
        "metadata": {
          "input_filename": "01.mp4",
          "video_clip_length": 6,
          "video_embedding_scope": [
            "clip"
          ],
          "duration": 13.4400001
        }
      }
    }
  ],
  "page_info": {
    "limit_per_page": 10,
    "page": 1,
    "total_page": 1,
    "total_results": 3
  }
}
```

**SDK Code**

```python embed_v2_tasks_list_example
import requests

url = "https://api.twelvelabs.io/v1.3/embed-v2/tasks"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript embed_v2_tasks_list_example
const url = 'https://api.twelvelabs.io/v1.3/embed-v2/tasks';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go embed_v2_tasks_list_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.twelvelabs.io/v1.3/embed-v2/tasks"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby embed_v2_tasks_list_example
require 'uri'
require 'net/http'

url = URI("https://api.twelvelabs.io/v1.3/embed-v2/tasks")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java embed_v2_tasks_list_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.twelvelabs.io/v1.3/embed-v2/tasks")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php embed_v2_tasks_list_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.twelvelabs.io/v1.3/embed-v2/tasks', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp embed_v2_tasks_list_example
using RestSharp;

var client = new RestClient("https://api.twelvelabs.io/v1.3/embed-v2/tasks");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift embed_v2_tasks_list_example
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.twelvelabs.io/v1.3/embed-v2/tasks")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```